<?
$out = '<a ';
  $out .= 'class="btn ' . $this -> params['class'] . '" ';

    if ( $this -> params['style'] )
      $out .= 'style="' . $this -> params['style'] . '" ';

    if ( $this -> params['js'] )
      $out .= 'onclick="' . htmlspecialchars( $this -> params['js'] ) . '" ';

    if ( $this -> params['url'] )
      $out .= 'href="' . htmlspecialchars( $this -> params['url'] ) . '" ';

    if ( $this -> params['id'] )
      $out .= 'id="' . $this -> params['id'] . '" ';

    if ( $this -> params['title'] )
      $out .= 'title="' . htmlspecialchars( $this -> params['title'] ) . '" ';

    if ( $this -> params['target'] )
      $out .= 'target="' . $this -> params['target'] . '" ';

$out .= '>';
  if ( $this -> params['icon'] )
    $out .= '<i class="fa ' . $this -> params['icon'] . ' mr5"></i>';
  $out .= $this -> params['text'];
$out .= '</a>';

echo $out;